//
//  AuditionApi.swift
//  SodaLive
//
//  Created by klaus on 1/5/25.
//

import Foundation
import Moya

enum AuditionApi {
    case getAuditionList(page: Int, size: Int)
}

extension AuditionApi: TargetType {
    var baseURL: URL {
        return URL(string: BASE_URL)!
    }
    
    var path: String {
        switch self {
            
        case .getAuditionList:
            return "/audition"
        }
    }
    
    var method: Moya.Method {
        switch self {
            
        case .getAuditionList:
            return .get
        }
    }
    
    var task: Moya.Task {
        switch self {
            
        case .getAuditionList(let page, let size):
            let parameters = [
                "page": page - 1,
                "size": size
            ] as [String : Any]
            
            return .requestParameters(parameters: parameters, encoding: URLEncoding.queryString)
        }
    }
    
    var headers: [String : String]? {
        return ["Authorization": "Bearer \(UserDefaults.string(forKey: UserDefaultsKey.token))"]
    }
}
